<form [formGroup]="formGroup" class="w-[400px] px-6 py-9">
  <div class="mb-4 space-y-4">
    <p class="text-lg font-semibold leading-5 text-gray-900">채널 생성</p>
    <app-input-label w="full" [labelText]="'생성할 채널 제목을 입력해 주세요.'"
      [message]="formGroup.get('name')?.value && formGroup.get('name')?.invalid ? '이미 존재하는 이름입니다.' : ''"
      [color]="formGroup.get('name')?.value &&  formGroup.get('name')?.invalid ? 'error' : 'primary'">
      <input class="w-full" type="text" formControlName="name" placeholder="제목을 입력해 주세요." />
    </app-input-label>
  </div>
  <div class="flex justify-end space-x-2">
    <app-button [fill]="'outline'" class="!border-border !text-neutral30 px-4" (click)="close()">취소</app-button>
    @if(formGroup.invalid){
      <app-button class="px-4 !bg-gray-300 !border-none">{{channelId?'수정':'저장'}}</app-button>
      }@else {
      <app-button class="px-4" (click)="channelId ? updateChannel() : createChannel()">{{channelId?'수정':'저장'}}</app-button>
      }
  </div> 
</form>